package com.chushang.system.entity.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.chushang.common.core.web.EnumUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author by zhaowenyuan create 2022/8/18 18:15
 * 0 超管-> 查看全部
 * 1 管理员 -> 查看本人及以下
 * 2 本人 -> 查看本人
 * 3 自定义 -> 针对角色就是自由选择菜单, 针对部门就是自由选择数据
 */
@AllArgsConstructor
@Getter
public enum PermTypeEnum implements IEnum<Integer> {
    ALL(0,"超级管理员 -> 查看全部"),
    DEPT_AND_CHILD(1,"部门及以下数据权限"),
    DEPT(2,"部门"),
    CUSTOM(3,"自定义"),
    ONESELF(4,"查看本人"),
    ;
    @EnumValue
    @JsonValue
    private final Integer code;
    private final String desc;

    @Override
    public Integer getValue() {
        return this.code;
    }
}
